petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagGet1dCoordinateArraysDOFRead

extract 1D coordinate arrays

### Synopsis

    PetscErrorCode DMStagGet1dCoordinateArraysDOFRead(DM dm,void* arrX,void* arrY,void* arrZ)

Logically Collective

A high-level helper function to quickly extract raw 1D local coordinate arrays. Checks that the coordinate DM is a DMProduct or 1D DMStags, with the same number of dof. Check on the number of dof and dimension ensures that the elementwise data is the same for each, so the same indexing can be used on the arrays.

### Input Parameter

dm -the DMStag object

### Output Parameters

arrX,arrY,arrX -local 1D coordinate arrays

### See Also

DMSTAG, DMPRODUCT, DMStagSetUniformCoordinates(), DMStagSetUniformCoordinatesProduct(), DMStagGet1dCoordinateLocationSlot()

### Level

intermediate

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages